#!/bin/bash

# 获取当前日期，格式为 YYYY-MM-DD
CURRENT_DATE=$(date +%F)

# 日志文件路径，包含日期
LOG_FILE="/root/luojunhui/logs/longArticles_$CURRENT_DATE.txt"
exec >> "$LOG_FILE" 2>&1

# 判断自动下架并且自动重启下架视频任务

if pgrep -f "python3 getOffVideosDaily.py" > /dev/null
then
    echo "$(date '+%Y-%m-%d %H:%M:%S') - getOffVideosDaily.py running"
else
    echo "$(date '+%Y-%m-%d %H:%M:%S') - trying to restart getOffVideosDaily.py"
    # 切换到指定目录
    cd /root/luojunhui/LongArticlesJob

    # 激活 Conda 环境
    source /root/miniconda3/etc/profile.d/conda.sh
    conda activate tasks

    # 在后台运行 Python 脚本并重定向日志输出
    nohup python3 getOffVideosDaily.py >> /dev/null 2>&1 &
    echo "$(date '+%Y-%m-%d %H:%M:%S') - successfully restart getOffVideosDaily.py"
fi


# 判断更新 source_id任务
if pgrep -f "python3 migrateRootSourceId.py" > /dev/null
then
    echo "$(date '+%Y-%m-%d %H:%M:%S') - migrateRootSourceId.py running"
else
    echo "$(date '+%Y-%m-%d %H:%M:%S') - trying to restart migrateRootSourceId.py"
    # 切换到指定目录
    cd /root/luojunhui/LongArticlesJob

    # 激活 Conda 环境
    source /root/miniconda3/etc/profile.d/conda.sh
    conda activate tasks

    # 在后台运行 Python 脚本并重定向日志输出
    nohup python3 migrateRootSourceId.py >> /dev/null 2>&1 &
    echo "$(date '+%Y-%m-%d %H:%M:%S') - successfully restart migrateRootSourceId.py"
fi

# 判断自动更新文章任务
if pgrep -f "python3 updatePublishMsgDaily.py" > /dev/null
then
    echo "$(date '+%Y-%m-%d %H:%M:%S') - updatePublishMsgDaily.py running"
else
    echo "$(date '+%Y-%m-%d %H:%M:%S') - trying to restart updatePublishMsgDaily.py"
    # 切换到指定目录
    cd /root/luojunhui/LongArticlesJob

    # 激活 Conda 环境
    source /root/miniconda3/etc/profile.d/conda.sh
    conda activate tasks

    # 在后台运行 Python 脚本并重定向日志输出
    nohup python3 updatePublishMsgDaily.py >> /dev/null 2>&1 &
    echo "$(date '+%Y-%m-%d %H:%M:%S') - successfully restart updatePublishMsgDaily.py"
fi


# 自动更新小程序信息任务
if pgrep -f "python3 updateMinigramInfoDaily.py" > /dev/null
then
    echo "$(date '+%Y-%m-%d %H:%M:%S') - updateMinigramInfoDaily.py running"
else
    echo "$(date '+%Y-%m-%d %H:%M:%S') - trying to restart updateMinigramInfoDaily.py"
    # 切换到指定目录
    cd /root/luojunhui/LongArticlesJob

    # 激活 Conda 环境
    source /root/miniconda3/etc/profile.d/conda.sh
    conda activate tasks

    # 在后台运行 Python 脚本并重定向日志输出
    nohup python3 updateMinigramInfoDaily.py >> /dev/null 2>&1 &
    echo "$(date '+%Y-%m-%d %H:%M:%S') - successfully restart updateMinigramInfoDaily.py"
fi

# 自动更新账号均值
if pgrep -f "python3 updateAccountAvgDaily.py" > /dev/null
then
    echo "$(date '+%Y-%m-%d %H:%M:%S') - python3 updateAccountAvgDaily.py running"
else
    echo "$(date '+%Y-%m-%d %H:%M:%S') - trying to restart python3 updateAccountAvgDaily.py"
    # 切换到指定目录
    cd /root/luojunhui/LongArticlesJob

    # 激活 Conda 环境
    source /root/miniconda3/etc/profile.d/conda.sh
    conda activate tasks

    # 在后台运行 Python 脚本并重定向日志输出
    nohup python3 python3 updateAccountAvgDaily.py >> /dev/null 2>&1 &
    echo "$(date '+%Y-%m-%d %H:%M:%S') - successfully restart updateAccountAvgDaily.py"
fi
